Subject: Re: bug#53941: 27.2; socks + tor dont work with https

From: Robert Pluim <[email-masked]>
Date: Tue, 17 Sep 2024 09:29:15 +0200

>>>>> On Mon, 16 Sep 2024 18:52:04 -0700, "J.P." <[email-masked]> said:

    JP> Robert Pluim <[email-masked]> writes:
    >> More information hiding by default is a good thing. (Iʼm not the
    >> original author, I just changed it to look at the actual local
    >> addresses instead of hardcoding them)

    JP> D'oh, I see that now. The original author was one Mr. Wong. If you'd
    JP> like to be spared any further spam related to this bug, please say so,
    JP> and I'll remove you from the Cc's. (But if not, I could certainly use
    JP> the input.)

I donʼt mind.

    JP> +  (not (and-let* (((or (and (functionp nsm-trust-local-network)
    JP> +                            (funcall nsm-trust-local-network))
    JP> +                       nsm-trust-local-network))
    JP> +                  (addresses (network-lookup-address-info host))
    JP> +                  (network-interface-list (network-interface-list t)))
    JP> +         (catch 'off-net
    JP> +           (dolist (ip addresses)
    JP> +             (dolist (info network-interface-list)
    JP> +               (when (nsm-network-same-subnet (substring (nth 1 info) 0 -1)
    JP> +                                              (substring (nth 3 info) 0 -1)
    JP> +                                              (substring ip 0 -1))
    JP> +                 (throw 'off-net t))))))))
    >> 
    >> Since youʼve inverted the test, you should probably invert the name of
    >> `off-net'.

    JP> Ah, took that "by rote" from the old sentinel variable, but as you say,
    JP> it doesn't comport with the semantics. Changed to `nsm-should-check'.

OK. I think you can push that patch to master if Eli is ok with it,
regardless of what happens with the others.

Robert
--